MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions

# src/decoder_plugin.h File Reference

`#include <stdbool.h>`
`#include <stddef.h>`

Go to the source code of this file.

## Data Structures
struct | decoder_plugin
## Functions
static bool | decoder_plugin_init (const struct decoder_plugin *plugin, const struct config_param *param)
| Initialize a decoder plugin.
static void | decoder_plugin_finish (const struct decoder_plugin *plugin)
| Deinitialize a decoder plugin which was initialized successfully.
static void | decoder_plugin_stream_decode (const struct decoder_plugin *plugin, struct decoder *decoder, struct input_stream *is)
| Decode a stream.
static void | decoder_plugin_file_decode (const struct decoder_plugin *plugin, struct decoder *decoder, const char *path_fs)
| Decode a file.
static struct tag * | decoder_plugin_tag_dup (const struct decoder_plugin *plugin, const char *path_fs)
| Read the tag of a file.
static struct tag * | decoder_plugin_stream_tag (const struct decoder_plugin *plugin, struct input_stream *is)
| Read the tag of a stream.
static char * | decoder_plugin_container_scan (const struct decoder_plugin *plugin, const char *pathname, const unsigned int tnum)
| return "virtual" tracks in a container
bool | decoder_plugin_supports_suffix (const struct decoder_plugin *plugin, const char *suffix)
| Does the plugin announce the specified file name suffix?
bool | decoder_plugin_supports_mime_type (const struct decoder_plugin *plugin, const char *mime_type)
| Does the plugin announce the specified MIME type?

## Function Documentation

static char* decoder_plugin_container_scan | ( | const struct decoder_plugin * | plugin,
|  | const char * | pathname,
|  | const unsigned int | tnum
| ) |  | `[inline, static]`

return "virtual" tracks in a container

Definition at line 178 of file decoder_plugin.h.

static void decoder_plugin_file_decode | ( | const struct decoder_plugin * | plugin,
|  | struct decoder * | decoder,
|  | const char * | path_fs
| ) |  | `[inline, static]`

Decode a file.

Definition at line 144 of file decoder_plugin.h.

static void decoder_plugin_finish | ( | const struct decoder_plugin * | plugin | ) | `[inline, static]`

Deinitialize a decoder plugin which was initialized successfully.

Definition at line 124 of file decoder_plugin.h.

static bool decoder_plugin_init | ( | const struct decoder_plugin * | plugin,
|  | const struct config_param * | param
| ) |  | `[inline, static]`

Initialize a decoder plugin.

Parameters:

  param | a configuration block for this plugin, or NULL if none is configured

Returns:
  true if the plugin was initialized successfully, false if the plugin is not available

Definition at line 112 of file decoder_plugin.h.

static void decoder_plugin_stream_decode | ( | const struct decoder_plugin * | plugin,
|  | struct decoder * | decoder,
|  | struct input_stream * | is
| ) |  | `[inline, static]`

Decode a stream.

Definition at line 134 of file decoder_plugin.h.

static struct tag* decoder_plugin_stream_tag | ( | const struct decoder_plugin * | plugin,
|  | struct input_stream * | is
| ) |  | `[static, read]`

Read the tag of a stream.

Definition at line 166 of file decoder_plugin.h.

bool decoder_plugin_supports_mime_type | ( | const struct decoder_plugin * | plugin,
|  | const char * | mime_type
| ) |  |

Does the plugin announce the specified MIME type?

bool decoder_plugin_supports_suffix | ( | const struct decoder_plugin * | plugin,
|  | const char * | suffix
| ) |  |

Does the plugin announce the specified file name suffix?

static struct tag* decoder_plugin_tag_dup | ( | const struct decoder_plugin * | plugin,
|  | const char * | path_fs
| ) |  | `[static, read]`

Read the tag of a file.

Definition at line 154 of file decoder_plugin.h.